Last Comment Bug 697098 - Tab panel scrolls to top during current and active page load
: Tab panel scrolls to top during current and active page load
Status: VERIFIED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
: P3 normal (vote)
: ---
Assigned To: Sriram Ramasubramanian [:sriram]
:
:
Mentors:
Depends on:
Blocks: 695152
  Show dependency treegraph
 
Reported: 2011-10-25 07:26 PDT by Aaron Train [:aaronmt]
Modified: 2012-01-09 15:34 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
Patch (10.80 KB, patch)
2011-11-17 15:36 PST, Sriram Ramasubramanian [:sriram]
mark.finkle: review+
Details | Diff | Splinter Review

Description Aaron Train [:aaronmt] 2011-10-25 07:26:35 PDT
On the current page, and during an active page load the tab panel will scroll to the top. Current page load should not have anything to do with ones ability to use this menu to switch or open tabs.

STR:
1. Open a bunch of sites
2. Open a site that has a hefty page load; http://wsj.com
2. During page load, scroll to bottom of tab panel

AR: Automatically scrolled to to top once the current page is done loading
ER: Tab panel retains positioning regardless of current pages activity 

--
Mozilla/5.0 (Android; Linux armv7l; rv:10.0a1) Gecko/20111025 Firefox/10.0a1
Samsung Galaxy SII (Android 2.3.4)
Comment 1 Mark Finkle (:mfinkle) (use needinfo?) 2011-10-25 07:49:12 PDT
Is this a panning performance issue? bug 695448? or is it more than that?
Comment 2 Aaron Train [:aaronmt] 2011-10-25 07:52:41 PDT
(In reply to Mark Finkle (:mfinkle) from comment #1)
> Is this a panning performance issue? bug 695448? or is it more than that?

The panel is just scrolled to the top if you have multiple tabs open. So, if one opens the tab panel during a load, they would have trouble reaching the bottom to hit the new tab button, as the panel keeps pushing back to the top.
Comment 3 Sriram Ramasubramanian [:sriram] 2011-10-25 10:05:26 PDT
This will be fixed with the new design. The new tab will be visible always and not be a part of the list.
Comment 4 Sriram Ramasubramanian [:sriram] 2011-11-17 15:36:42 PST
Created attachment 575312 [details] [diff] [review]
Patch

This patch solves it by looking into what tab was changed, and changing that particular tab's values in the list.
Comment 5 Mark Finkle (:mfinkle) (use needinfo?) 2011-11-17 20:11:00 PST
https://hg.mozilla.org/projects/birch/rev/d4982d5a23cf
Comment 6 Aaron Train [:aaronmt] 2011-11-18 06:53:37 PST
Samsung Nexus S (Android 2.3.6)
20111118040220
http://hg.mozilla.org/projects/birch/rev/9999a423d8ab

Note You need to log in before you can comment on or make changes to this bug.